I have an application that requires .Net 3.5. I tried to download but got an error something like - cannot download file from Windows Update. Any suggestion?